<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:20 PST 2021 -->
<title>GeoIPDocumentCreator (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="GeoIPDocumentCreator (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GeoIPDocumentCreator.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../org/apache/nutch/indexer/geoip/GeoIPIndexingFilter.html" title="class in org.apache.nutch.indexer.geoip"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/indexer/geoip/GeoIPDocumentCreator.html" target="_top">Frames</a></li>
<li><a href="GeoIPDocumentCreator.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.nutch.indexer.geoip</div>
<h2 title="Class GeoIPDocumentCreator" class="title">Class GeoIPDocumentCreator</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.nutch.indexer.geoip.GeoIPDocumentCreator</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">GeoIPDocumentCreator</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block"><p>
 Simple utility class which enables efficient, structured
 <a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer"><code>NutchDocument</code></a> building based on input from
 <a href="../../../../../org/apache/nutch/indexer/geoip/GeoIPIndexingFilter.html" title="class in org.apache.nutch.indexer.geoip"><code>GeoIPIndexingFilter</code></a>, where configuration is also read.
 </p>
 <p>
 Based on the nature of the input, this class wraps factory type
 implementations for populating <a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer"><code>NutchDocument</code></a>
 's with the correct <a href="../../../../../org/apache/nutch/indexer/NutchField.html" title="class in org.apache.nutch.indexer"><code>NutchField</code></a> information.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexer/geoip/GeoIPDocumentCreator.html#GeoIPDocumentCreator--">GeoIPDocumentCreator</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexer/geoip/GeoIPDocumentCreator.html#addIfNotNull-org.apache.nutch.indexer.NutchDocument-java.lang.String-java.lang.Integer-">addIfNotNull</a></span>(<a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
            <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
            <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&nbsp;value)</code>
<div class="block">Add field to document but only if value isn't null</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexer/geoip/GeoIPDocumentCreator.html#addIfNotNull-org.apache.nutch.indexer.NutchDocument-java.lang.String-java.lang.String-">addIfNotNull</a></span>(<a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
            <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
            <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Add field to document but only if value isn't null</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexer/geoip/GeoIPDocumentCreator.html#createDocFromCityDb-java.lang.String-org.apache.nutch.indexer.NutchDocument-DatabaseReader-">createDocFromCityDb</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serverIp,
                   <a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
                   DatabaseReader&nbsp;reader)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexer/geoip/GeoIPDocumentCreator.html#createDocFromCityService-java.lang.String-org.apache.nutch.indexer.NutchDocument-WebServiceClient-">createDocFromCityService</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serverIp,
                        <a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
                        WebServiceClient&nbsp;client)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexer/geoip/GeoIPDocumentCreator.html#createDocFromConnectionDb-java.lang.String-org.apache.nutch.indexer.NutchDocument-DatabaseReader-">createDocFromConnectionDb</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serverIp,
                         <a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
                         DatabaseReader&nbsp;reader)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexer/geoip/GeoIPDocumentCreator.html#createDocFromCountryService-java.lang.String-org.apache.nutch.indexer.NutchDocument-WebServiceClient-">createDocFromCountryService</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serverIp,
                           <a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
                           WebServiceClient&nbsp;client)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexer/geoip/GeoIPDocumentCreator.html#createDocFromDomainDb-java.lang.String-org.apache.nutch.indexer.NutchDocument-DatabaseReader-">createDocFromDomainDb</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serverIp,
                     <a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
                     DatabaseReader&nbsp;reader)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexer/geoip/GeoIPDocumentCreator.html#createDocFromInsightsService-java.lang.String-org.apache.nutch.indexer.NutchDocument-WebServiceClient-">createDocFromInsightsService</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serverIp,
                            <a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
                            WebServiceClient&nbsp;client)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/indexer/geoip/GeoIPDocumentCreator.html#createDocFromIspDb-java.lang.String-org.apache.nutch.indexer.NutchDocument-DatabaseReader-">createDocFromIspDb</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serverIp,
                  <a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
                  DatabaseReader&nbsp;reader)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="GeoIPDocumentCreator--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GeoIPDocumentCreator</h4>
<pre>public&nbsp;GeoIPDocumentCreator()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="addIfNotNull-org.apache.nutch.indexer.NutchDocument-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addIfNotNull</h4>
<pre>public static&nbsp;void&nbsp;addIfNotNull(<a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
                                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Add field to document but only if value isn't null</div>
</li>
</ul>
<a name="addIfNotNull-org.apache.nutch.indexer.NutchDocument-java.lang.String-java.lang.Integer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addIfNotNull</h4>
<pre>public static&nbsp;void&nbsp;addIfNotNull(<a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
                                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&nbsp;value)</pre>
<div class="block">Add field to document but only if value isn't null</div>
</li>
</ul>
<a name="createDocFromInsightsService-java.lang.String-org.apache.nutch.indexer.NutchDocument-WebServiceClient-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDocFromInsightsService</h4>
<pre>public static&nbsp;<a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;createDocFromInsightsService(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serverIp,
                                                         <a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
                                                         WebServiceClient&nbsp;client)
                                                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/net/UnknownHostException.html?is-external=true" title="class or interface in java.net">UnknownHostException</a>,
                                                         <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a>,
                                                         GeoIp2Exception</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/net/UnknownHostException.html?is-external=true" title="class or interface in java.net">UnknownHostException</a></code></dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
<dd><code>GeoIp2Exception</code></dd>
</dl>
</li>
</ul>
<a name="createDocFromCityService-java.lang.String-org.apache.nutch.indexer.NutchDocument-WebServiceClient-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDocFromCityService</h4>
<pre>public static&nbsp;<a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;createDocFromCityService(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serverIp,
                                                     <a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
                                                     WebServiceClient&nbsp;client)
                                              throws <a href="https://docs.oracle.com/javase/8/docs/api/java/net/UnknownHostException.html?is-external=true" title="class or interface in java.net">UnknownHostException</a>,
                                                     <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a>,
                                                     GeoIp2Exception</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/net/UnknownHostException.html?is-external=true" title="class or interface in java.net">UnknownHostException</a></code></dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
<dd><code>GeoIp2Exception</code></dd>
</dl>
</li>
</ul>
<a name="createDocFromCountryService-java.lang.String-org.apache.nutch.indexer.NutchDocument-WebServiceClient-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDocFromCountryService</h4>
<pre>public static&nbsp;<a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;createDocFromCountryService(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serverIp,
                                                        <a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
                                                        WebServiceClient&nbsp;client)
                                                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/net/UnknownHostException.html?is-external=true" title="class or interface in java.net">UnknownHostException</a>,
                                                        <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a>,
                                                        GeoIp2Exception</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/net/UnknownHostException.html?is-external=true" title="class or interface in java.net">UnknownHostException</a></code></dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
<dd><code>GeoIp2Exception</code></dd>
</dl>
</li>
</ul>
<a name="createDocFromIspDb-java.lang.String-org.apache.nutch.indexer.NutchDocument-DatabaseReader-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDocFromIspDb</h4>
<pre>public static&nbsp;<a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;createDocFromIspDb(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serverIp,
                                               <a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
                                               DatabaseReader&nbsp;reader)
                                        throws <a href="https://docs.oracle.com/javase/8/docs/api/java/net/UnknownHostException.html?is-external=true" title="class or interface in java.net">UnknownHostException</a>,
                                               <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a>,
                                               GeoIp2Exception</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/net/UnknownHostException.html?is-external=true" title="class or interface in java.net">UnknownHostException</a></code></dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
<dd><code>GeoIp2Exception</code></dd>
</dl>
</li>
</ul>
<a name="createDocFromDomainDb-java.lang.String-org.apache.nutch.indexer.NutchDocument-DatabaseReader-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDocFromDomainDb</h4>
<pre>public static&nbsp;<a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;createDocFromDomainDb(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serverIp,
                                                  <a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
                                                  DatabaseReader&nbsp;reader)
                                           throws <a href="https://docs.oracle.com/javase/8/docs/api/java/net/UnknownHostException.html?is-external=true" title="class or interface in java.net">UnknownHostException</a>,
                                                  <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a>,
                                                  GeoIp2Exception</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/net/UnknownHostException.html?is-external=true" title="class or interface in java.net">UnknownHostException</a></code></dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
<dd><code>GeoIp2Exception</code></dd>
</dl>
</li>
</ul>
<a name="createDocFromConnectionDb-java.lang.String-org.apache.nutch.indexer.NutchDocument-DatabaseReader-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDocFromConnectionDb</h4>
<pre>public static&nbsp;<a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;createDocFromConnectionDb(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serverIp,
                                                      <a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
                                                      DatabaseReader&nbsp;reader)
                                               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/net/UnknownHostException.html?is-external=true" title="class or interface in java.net">UnknownHostException</a>,
                                                      <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a>,
                                                      GeoIp2Exception</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/net/UnknownHostException.html?is-external=true" title="class or interface in java.net">UnknownHostException</a></code></dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
<dd><code>GeoIp2Exception</code></dd>
</dl>
</li>
</ul>
<a name="createDocFromCityDb-java.lang.String-org.apache.nutch.indexer.NutchDocument-DatabaseReader-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>createDocFromCityDb</h4>
<pre>public static&nbsp;<a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;createDocFromCityDb(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serverIp,
                                                <a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
                                                DatabaseReader&nbsp;reader)
                                         throws <a href="https://docs.oracle.com/javase/8/docs/api/java/net/UnknownHostException.html?is-external=true" title="class or interface in java.net">UnknownHostException</a>,
                                                <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a>,
                                                GeoIp2Exception</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/net/UnknownHostException.html?is-external=true" title="class or interface in java.net">UnknownHostException</a></code></dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
<dd><code>GeoIp2Exception</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GeoIPDocumentCreator.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../org/apache/nutch/indexer/geoip/GeoIPIndexingFilter.html" title="class in org.apache.nutch.indexer.geoip"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/indexer/geoip/GeoIPDocumentCreator.html" target="_top">Frames</a></li>
<li><a href="GeoIPDocumentCreator.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
